%define major 0
%define libname %mklibname globus-openssl-module %{major}
%define develname %mklibname globus-openssl-module -d

Name:		globus-openssl-module
%global _name %(tr - _ <<< %{name})
Version:	5.2
Release:	%mkrel 5
Summary:	Grid Community Toolkit - Globus OpenSSL Module Wrapper

License:	ASL 2.0
URL:		https://github.com/gridcf/gct/
Source:		https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz
Source8:	README
Group:          Development/Other

BuildRequires:	gcc
BuildRequires:	pkgconfig(globus-common) >= 15
BuildRequires:	pkgconfig(globus-gsi-proxy-ssl) >= 4
BuildRequires:	pkgconfig(globus-gsi-openssl-error)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	doxygen

%package -n %{develname}
Summary:	Grid Community Toolkit - Globus OpenSSL Module Wrapper Development Files
Requires:	%{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Group:          Development/Other

%package doc
Summary:	Grid Community Toolkit - Globus OpenSSL Module Wrapper Documentation Files
BuildArch:	noarch
Group:          Documentation

%description
The Grid Community Toolkit (GCT) is an open source software toolkit used for
building grid systems and applications. It is a fork of the Globus Toolkit
originally created by the Globus Alliance. It is supported by the Grid
Community Forum (GridCF) that provides community-based support for core
software packages in grid computing.

%package -n %{libname}
Summary: Grid Community Toolkit - Globus OpenSSL Module Wrapper
Provides: %{name} = %{release}-%{version}
Group:          Development/Other

%description -n %{libname}
The Grid Community Toolkit (GCT) is an open source software toolkit used for
building grid systems and applications. It is a fork of the Globus Toolkit
originally created by the Globus Alliance. It is supported by the Grid
Community Forum (GridCF) that provides community-based support for core
software packages in grid computing.

The %{name} package contains:
Globus OpenSSL Module Wrapper

%description -n %{develname}
The Grid Community Toolkit (GCT) is an open source software toolkit used for
building grid systems and applications. It is a fork of the Globus Toolkit
originally created by the Globus Alliance. It is supported by the Grid
Community Forum (GridCF) that provides community-based support for core
software packages in grid computing.

The %{name}-devel package contains:
Globus OpenSSL Module Wrapper Development Files

%description doc
The Grid Community Toolkit (GCT) is an open source software toolkit used for
building grid systems and applications. It is a fork of the Globus Toolkit
originally created by the Globus Alliance. It is supported by the Grid
Community Forum (GridCF) that provides community-based support for core
software packages in grid computing.

The %{name}-doc package contains:
Globus OpenSSL Module Wrapper Documentation Files

%prep
%setup -q -n %{_name}-%{version}

%build
# Reduce overlinking
export LDFLAGS="-Wl,--as-needed -Wl,-z,defs %{?__global_ldflags}"

%configure --disable-static \
	   --includedir=%{_includedir}/globus \
	   --libexecdir=%{_datadir}/globus \
	   --docdir=%{_pkgdocdir}

# Reduce overlinking
sed 's!CC \(.*-shared\) !CC \\\${wl}--as-needed \1 !' -i libtool

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# Remove libtool archives (.la files)
rm %{buildroot}%{_libdir}/*.la

# Install README file
install -m 644 -p %{SOURCE8} %{buildroot}%{_pkgdocdir}/README

# Remove license file from pkgdocdir if licensedir is used
%{?_licensedir: rm %{buildroot}%{_pkgdocdir}/GLOBUS_LICENSE}

%ldconfig_scriptlets

%files -n %{libname}
%{_libdir}/libglobus_openssl.so.*
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/README
%{!?_licensedir: %doc %{_pkgdocdir}/GLOBUS_LICENSE}
%{?_licensedir: %license GLOBUS_LICENSE}

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/libglobus_openssl.so
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%doc %{_mandir}/man3/*
%dir %{_pkgdocdir}
%dir %{_pkgdocdir}/html
%doc %{_pkgdocdir}/html/*
%{!?_licensedir: %doc %{_pkgdocdir}/GLOBUS_LICENSE}
%{?_licensedir: %license GLOBUS_LICENSE}




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 5.2-5.mga10
+ Revision: 2196611
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 5.2-4.mga9
+ Revision: 1799888
- Mageia 9 Mass Rebuild

* Sun Oct 03 2021 joequant <joequant> 5.2-3.mga9
+ Revision: 1748746
- rebuild new openssl

* Sat Oct 02 2021 wally <wally> 5.2-2.mga9
+ Revision: 1747395
- rebuild for openssl 3.0.0

* Fri Dec 18 2020 joequant <joequant> 5.2-1.mga8
+ Revision: 1660776
- update to 5.2

* Mon Apr 27 2020 joequant <joequant> 5.1-3.mga8
+ Revision: 1572467
- update deps
- fix build requires
- fix group
- imported package globus-openssl-module

